org.tmatesoft.svn.core.wc

## Class SVNEventAdapter

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNEventAdapter

- All Implemented Interfaces:
    ISVNCanceller, ISVNEventHandler

      public class SVNEventAdapter
      extends java.lang.Object
      implements ISVNEventHandler

  SVNEventAdapter is an adapter class for `ISVNEventHandler`. Users's event handler implementations should extend this adapter class rather than implementing `ISVNEventHandler` directly. This way, if the `ISVNEventHandler` interface is changed in future, users' event handler implementations won't get broken since the changes will be reflected in this adapter class.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    - ### Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNEventHandler

      `UNKNOWN`

    - ### Fields inherited from interface org.tmatesoft.svn.core.ISVNCanceller

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNEventAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkCancelled()` Does nothing.
    `void` | `handleEvent(SVNEvent event, double progress)` Does nothing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNEventAdapter

          public SVNEventAdapter()

  - ### Method Detail

    - #### checkCancelled

          public void checkCancelled()
                              throws SVNCancelException

      Does nothing. To be overridden by a user's implementation.
      Specified by:
        `checkCancelled` in interface `ISVNCanceller`
      Throws:
        `SVNCancelException`

    - #### handleEvent

          public void handleEvent(SVNEvent event,
                         double progress)
                           throws SVNException

      Does nothing. To be overridden by a user's implementation.
      Specified by:
        `handleEvent` in interface `ISVNEventHandler`
      Parameters:
        `event` -
        `progress` -
      Throws:
        `SVNException`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.